<div class="become-dollarbull">
  <div class="card">
    <div class="card-body">
      <div class="card-title d-md-none">Become a Dollarbull</div>
      <div class="row align-items-center">
        <div class="col-5 d-none d-md-block">
          <div class="card-title">
            Become a Dollarbull
            <p class="sub-text">Start investing by complete few steps</p>
          </div>
        </div>
        <div class="col-12 col-md-7">
          <ul id="progressbar">
            <!-- Add class done|current|pending based on customer stage -->
            <li class="step0" [ngClass]="openKYCStage" id="step1">
              <span class="text">KYC</span>
            </li>
            <li class="step0" [ngClass]="addFunds" id="step2">
              <span class="text">Funding</span>
            </li>
            <li class="step0" [ngClass]="investMore" id="step3">
              <span class="text">Invest</span>
            </li>
          </ul>
          <div class="btn_align_center pt-3">
            <button class="btn custombtn" (click)="actionBtnClick(actionStage)">
              {{ actionBtnLabel }}
            </button>
          </div>
          <div class="verify-msg d-none">
            You can add funds once KYC is verified
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- <div id="fullscreen" slot="fixed"></div> -->
<ng-template #fundTransferModal let-c="close" let-d="dismiss">
  <div class="modal-header">
    <h4 class="modal-title" id="modal-basic-title">Fund Transfer</h4>
    <button
      type="button"
      class="close"
      aria-label="Close"
      (click)="d('Cross click')"
    >
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <ng-container *ngFor="let cardsData of displayFundTransferCards">
      <div
        (click)="navigateToFundus(cardsData.navigateTo)"
        class="card account-card"
      >
        <div class="card-icon">
          <img src="{{ cardsData.iconPath }}" alt="profile" />
        </div>
        <div class="card-title-wrapper">
          <span class="card-title">{{ cardsData.title }}</span>
          <span class="card-desc">{{ cardsData.info }}</span>
        </div>
        <div class="card-action">
          <img src="assets/icons/icon-chevron.png" alt="in" />
        </div>
      </div>
      <!-- <app-account-card
              class="col-12 col-lg-4"
              [title]="cardsData.title"
              [info]="cardsData.info"
              [iconPath]="cardsData.iconPath"
              [navigateTo]="cardsData.navigateTo"
            >
            </app-account-card> -->
    </ng-container>
  </div>
  <!-- <div class="modal-footer">
          <button type="button" class="btn btn-outline-dark" (click)="c('Save click')">Save</button>
        </div> -->
</ng-template>

<ng-template #ComplteKycOptionsModal let-c="close" let-d="dismiss">
  <div class="complte-Kyc-Options-Modal">
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">KYC</h4>
      <button
        type="button"
        class="close"
        aria-label="Close"
        (click)="d('Cross click')"
      >
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
  </div>
</ng-template>

<ng-template #noteModal let-c="close" let-d="dismiss">
  <div class="offer-modal">
    <div class="modal-body text-center">
      <img src="assets/icons/gift.png" class="mb-3" />
      <div class="heading">Congratulations!!</div>
      <div class="offer-text">We are happy to offer you a $25 gift from us, if you fund your account with >$2000.</div>
      <div class="text mb-3">
        You’ll get $5 credited to your brokerage account ever month for the
        first 5 months.*
      </div>
      <button class="btn btn-primary" (click)="openLRSPopup()">Got it</button>
    </div>
  </div>
</ng-template>
